#-------------------------------------------------
#
# Project created by QtCreator 2010-04-09T14:11:50
#
#-------------------------------------------------

QT       += core gui dbus network xml webkit

maemo5 {
 QT += maemo5
}

TARGET = ../qspot

maemo5 {
CONFIG += link_pkgconfig
PKGCONFIG += libosso libplayback-1 dbus-1 mce
}

CONFIG += mobility
MOBILITY += systeminfo

TRANSLATIONS = ../translations/qspot_fi.ts \
               ../translations/qspot_nl.ts \
               ../translations/qspot_de.ts \
               ../translations/qspot_fr.ts

TEMPLATE = app

SOURCES += main.cpp \
    mainwindow.cpp \
    logindialog.cpp \
    TrackView.cpp \
    qspotify_src/user.cpp \
    qspotify_src/trackcollection.cpp \
    qspotify_src/track.cpp \
    qspotify_src/spotifysession.cpp \
    qspotify_src/search.cpp \
    qspotify_src/playlist.cpp \
    qspotify_src/link.cpp \
    qspotify_src/imagecontainer.cpp \
    qspotify_src/error.cpp \
    qspotify_src/artistcatalogue.cpp \
    qspotify_src/artist.cpp \
    qspotify_src/albumbrowser.cpp \
    qspotify_src/album.cpp \
    qspotify_src/PlaybackThread.cpp \
    CustomSlider.cpp \
    SpectrumAnalyzer.cpp \
    QueueView.cpp \
    customlabel.cpp \
    SettingsDialog.cpp \
    ListViewDelegate.cpp \
    PickSelectorAction.cpp \
    CListView.cpp \
    OssoWrapper.cpp \
    AlbumView.cpp \
    CustomTextDialog.cpp \
    artistview.cpp \
    lastfmscrobbler.cpp \
    DBusWrapper.cpp \
    AboutDialog.cpp \
    Banner.cpp \
    HelpViewer.cpp \
    qspotify_src/connectionmanager.cpp

HEADERS  += mainwindow.h \
    logindialog.h \
    TrackView.h \
    qspotify_src/user.h \
    qspotify_src/trackcollection.h \
    qspotify_src/track.h \
    qspotify_src/spotifysession.h \
    qspotify_src/search.h \
    qspotify_src/playlist.h \
    qspotify_src/link.h \
    qspotify_src/imagecontainer.h \
    qspotify_src/error.h \
    qspotify_src/artistcatalogue.h \
    qspotify_src/artist.h \
    qspotify_src/albumbrowser.h \
    qspotify_src/album.h \
    qspotify_src/callbacks.h \
    qspotify_src/PlaybackThread.h \
    CustomSlider.h \
    SpectrumAnalyzer.h \
    QueueView.h \
    customlabel.h \
    SettingsDialog.h \
    ListViewDelegate.h \
    PickSelectorAction.h \
    CListView.h \
    OssoWrapper.h \
    AlbumView.h \
    CustomTextDialog.h \
    artistview.h \
    lastfmscrobbler.h \
    DBusWrapper.h \
    global_defs.h \
    AboutDialog.h \
    Banner.h \
    HelpViewer.h \
    qspotify_src/connectionmanager.h

INCLUDEPATH += $$PWD/../libspotify/include
INCLUDEPATH += $$PWD/../CredManager/include
LIBS += -L$$PWD/../CredManager/lib -l:libCredManager.so.1 -L$$PWD/../libspotify/lib -l:libspotify.so.10 -lpulse-simple

PREFIX = ../debian/qspot
 
 unix {
 BINDIR = $$PREFIX/opt/qspot/bin
 IMAGEDIR = $$PREFIX/opt/qspot/images
 TRANSLATIONSDIR =$$PREFIX/opt/qspot/translations
 LIBDIR = $$PREFIX/opt/qspot/lib
 DATADIR = $$PREFIX/usr/share
 
 DEFINES += DATADIR=\"$$DATADIR\" PKGDATADIR=\"$$PKGDATADIR\"
 
 #MAKE INSTALL
 
 INSTALLS += target desktop icon64 service images translations libs
 
   target.path =$$BINDIR
 
   desktop.path = $$DATADIR/applications/hildon
   desktop.files += ../data/qspot.desktop
 
   icon64.path = $$DATADIR/icons/hicolor/64x64/apps
   icon64.files += ../data/qspot.png

   service.path = $$DATADIR/dbus-1/services
   service.files += ../data/org.maemo.qspot.service

   translations.path = $$TRANSLATIONSDIR
   translations.files += ../translations/qspot_fi.qm ../translations/qspot_nl.qm ../translations/qspot_de.qm ../translations/qspot_fr.qm

   images.path = $$IMAGEDIR
   images.files += ../data/play.png ../data/play-on.png ../data/pause.png ../data/next.png ../data/next-on.png ../data/previous.png ../data/previous-on.png ../data/icon-search.png ../data/icon-search-on.png ../data/icon-type-list.png ../data/icon-type-list-offline.png ../data/icon-type-list-starred.png ../data/icon-type-list-starred-offline.png ../data/icon-type-song-color.png ../data/icon-type-song-color-offline.png ../data/icon-type-song-starred.png ../data/icon-type-song-starred-offline.png ../data/icon-nowplaying.png ../data/shuffle.png ../data/shuffle-down.png ../data/icon-type-album.png ../data/spotify-core-logo.png

   libs.path = $$LIBDIR
   libs.files += ../libspotify/lib/libspotify.so.10 ../CredManager/lib/libCredManager.so.1

 }


unix:!symbian:!maemo5 {
    icon.files = src.png
    icon.path = /usr/share/icons/hicolor/64x64/apps
    INSTALLS += icon
}

QMAKE_LFLAGS +=  -Wl,-rpath,/opt/qspot/lib,-rpath,/opt/qspot/lib





